if __name__ == '__main__':
    from src.core.core import ExecutePipeline
    from src.core.echo import EchoMiddleWare
    from src.plugins.plugins_conf import PluginsConfig
    engine = PluginsConfig().get_engine_class("chat_ai_engine")
    pipe = ExecutePipeline(engine.to_middleware(), EchoMiddleWare(), EchoMiddleWare())
    # data = '端午是几号'
    data = input('请输入: ')
    pipe.execute([{'role': 'user', 'content': f'{data}'}])