import sys
from typing import Iterator, List, Optional
from .core import BaseMiddleware, MiddlewareInterface

class EchoMiddleWare(BaseMiddleware):
    def __init__(self, next_middleware: Optional[List[MiddlewareInterface]] = []):
        super().__init__(self._process, next_middleware)
    def _process(self, data):
        if isinstance(data, Iterator):
            ret = ''
            for i in data:
                ret += i
                sys.stdout.write(i)
                sys.stdout.flush()
            sys.stdout.write('\n')
        else:
            ret = data
            print(data)
        return ret