# -*- coding: utf-8 -*-
from pathlib import Path

# 这段代码使用 pathlib 模块进行重构参考网站为
# https://zhuanlan.zhihu.com/p/139783331
# https://docs.python.org/zh-cn/3/library/pathlib.html

# root directory
ROOT_PATH = Path(__file__).resolve().parent.parent

CONFIG_PATH = ROOT_PATH / "config"
CONFIG_DEFAULT_PATH = CONFIG_PATH / "default"

# 该路径需要自动创建
TEMP_PATH = ROOT_PATH / ".temp"

FILE_ENCODING = "utf-8"